# ScanbotSdkUi class

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

startCheckScanner(CheckScannerScreenConfiguration config) → Future<ResultWrapper<CheckScanningResult>>
  Starts the Check Scanner screen with the specified `config`.
startCroppingScreen(Page page, CroppingScreenConfiguration config) → Future<CroppingResult>
  Starts the Ready-to-Use Cropping UI as full-screen modal UI dialog. The Cropping UI provides the functionality for manual cropping and rotation of the given `page`.
startDocumentDataExtractor(DocumentDataExtractorScreenConfiguration config) → Future<ResultWrapper<List<DocumentDataExtractionResult>>>
  Opens the Document Data Extractor screen with the specified `config`.
startDocumentScanner(DocumentScannerScreenConfiguration config) → Future<DocumentScanningResult>
  Starts the Ready-to-Use Document Scanner UI as full-screen modal UI dialog. The Document Scanner provides guided, automatic document scanning.
startEhicScanner(HealthInsuranceCardScannerConfiguration config) → Future<ResultWrapper<EuropeanHealthInsuranceCardRecognitionResult>>
  Starts the European Health Insurance Card (EHIC) Scanner screen with the specified `config`.
startFinderDocumentScanner(FinderDocumentScannerConfiguration config) → Future<FinderDocumentScanningResult>
startMedicalCertificateScanner(MedicalCertificateScannerConfiguration config) → Future<ResultWrapper<MedicalCertificateScanningResult>>
  Starts the Medical Certificate Scanner screen with the specified `config`.
startVinScanner(VinScannerConfiguration config) → Future<ResultWrapper<VinScannerResult>>
  Starts the Vehicle Identification Number (VIN) Scanner screen with the specified `config`.